$backgroundColor-switch: rgb(1, 173, 183);
$height: 26px;
$width: 42px;
.switch {
  display: flex;
  font-size: 0.75rem;
  align-items: center;
  &_loading {
    .switch {
      &-label {
        &.active {
          color: $fontColor-secondary;
        }
      }
      &_body {
        .switch {
          &-slider {
            &-back2 {
              background-color: transparent;
            }
            &:before {
              background-color: #151e2e;
              width: $width;
            }
          }
        }
      }
    }
  }
  &-label {
    text-transform: uppercase;
    color: $fontColor-secondary;
    transition: all .2s ease-out;
    font-weight: bold;
    &.active {
      color: #FFFFFF;
    }
    &:not(.active) {
      & + .switch_body .switch-slider-inner {
        transform: translateX(0px);
      }
    }
  }
  &_body {
    position: relative;
    display: inline-block;
    width: $width;
    height: $height;
    outline: none;
    margin: 0px $marginMini;
    input {
      opacity: 0;
      width: 0;
      height: 0;
      outline: none;
    }

    .switch-slider {
      outline: none;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      overflow: hidden;
    }

    .switch-slider {
      &-inner {
        transition: transform .2s linear;
        transform: translateX(-26px);
        width: 100%;
        height: 100%;
        display: block;
        border-radius: $height;
      }
      &-back1 {
        -webkit-transform: translateZ(0);
        -webkit-mask-image: -webkit-radial-gradient(circle, white, white);
        background: $backgroundColor;
      }
      &-back2 {
        background: $backgroundColor-switch;
      }
    }

    .switch-slider:before {
      position: absolute;
      content: "";
      height: $height;
      width: $height;
      top: 0px;
      left: 0px;
      bottom: 0px;
      background-color: rgb(255, 255, 255);
      transition: .2s all linear;
      z-index: 1;
    }

    input:checked + .switch-slider:before {
      transform: translateX($width - 26);
    }

    .switch-slider.round {
      border-radius: $height;
    }

    .switch-slider.round:before {
      border-radius: $height;
    }
  }
}

@keyframes sliderFrame-in {
  0% {
    background: $backgroundColor;
  }
  100% {
    background: $backgroundColor-switch;
  }
}
